Wireshark-dev: [Wireshark-dev] [email protected] - Re: Is PowerShell now a requirement for
From: "Guy Harris" <[email protected]>
Date: Fri, 8 Aug 2014 04:46:42 +0200
Title: [email protected] - Re: [Wireshark-dev] Is PowerShell now a requirement for Windowsbuilds?

On Aug 7, 2014, at 7:30 PM, Gerald Combs <[email protected]> wrote:

> On 8/7/14, 6:41 PM, Guy Harris wrote:
>
>> Does that - and the use of a PowerShell command in the Makefile.nmake for building an NSIS package - make PowerShell a requirement for Windows builds?

>
> Yes.
>
>> If so, then does it come with all versions of Windows on which we support building, or does it have to be downloaded and installed on any of them?

>
> It's a separate install for Windows Vista. Windows 7 ships with
> PowerShell 2.0 and Windows 8 ships with 3.0. I'm not sure how many
> developers are running Vista or (or XP) but we should list it as a
> requirement.

And perhaps indicate, in the developer's guide, how to install it on Vista.

> Chocolatey and NuGet both require PowerShell 2.0. I can't tell if it's
> required by newer versions of Visual Studio.

So presumably that means that you need to install 2.0 on Vista.

___________________________________________________________________________
Sent via:    Wireshark-dev mailing list <[email protected]>
Archives:    http://www.wireshark.org/lists/wireshark-dev
Unsubscribe: https://wireshark.org/mailman/options/wireshark-dev
             mailto:[email protected]?subject=unsubscribe